# ## Configure 'ip' variable to bind kubernetes services on a
# ## different ip than the default iface
# ## We should set etcd_member_name for etcd cluster. The node that is not a etcd member do not need to set the value, or can set the empty string value.
[all]
dsk-dev-master-a1 ansible_host=10.10.43.111 etcd_member_name=etcd1 ansible_port=2222 ansible_user=dev2
dsk-dev-master-b1 ansible_host=10.10.43.112 etcd_member_name=etcd2 ansible_port=2222 ansible_user=dev2
dsk-dev-master-c1 ansible_host=10.10.43.113 etcd_member_name=etcd3 ansible_port=2222 ansible_user=dev2
dsk-dev-data-druid-a1 ansible_host=10.10.43.114 ansible_port=2222 ansible_user=dev2
dsk-dev-data-druid-b1 ansible_host=10.10.43.115 ansible_port=2222 ansible_user=dev2
#dsk-dev-data-druid-c1 ansible_host=10.10.43.116 ansible_port=2222 ansible_user=dev2
#dsk-dev-data-es-a1 ansible_host=10.10.43.117 ansible_port=2222 ansible_user=dev2
#dsk-dev-data-es-b1 ansible_host=10.10.43.118 ansible_port=2222 ansible_user=dev2
#dsk-dev-data-es-c1 ansible_host=10.10.43.119 ansible_port=2222 ansible_user=dev2
dsk-dev-data-druid-n1 ansible_host=10.10.43.117 ip=10.10.43.117 ansible_port=2222 ansible_user=dev2
dsk-dev-data-druid-n2 ansible_host=10.10.43.118 ip=10.10.43.118 ansible_port=2222 ansible_user=dev2
dsk-dev-data-druid-n3 ansible_host=10.10.43.119 ip=10.10.43.119 ansible_port=2222 ansible_user=dev2
dsk-dev-data-kafka-a1 ansible_host=10.10.43.120 ansible_port=2222 ansible_user=dev2
dsk-dev-data-kafka-b1 ansible_host=10.10.43.121 ansible_port=2222 ansible_user=dev2
dsk-dev-data-kafka-c1 ansible_host=10.10.43.122 ansible_port=2222 ansible_user=dev2
dsk-dev-process-a1 ansible_host=10.10.43.123 ansible_port=2222 ansible_user=dev2
dsk-dev-process-b1 ansible_host=10.10.43.124 ansible_port=2222 ansible_user=dev2
dsk-dev-process-c1 ansible_host=10.10.43.125 ansible_port=2222 ansible_user=dev2
dsk-dev-process-a2 ansible_host=10.10.43.126 ansible_port=2222 ansible_user=dev2
dsk-dev-process-b2 ansible_host=10.10.43.127 ansible_port=2222 ansible_user=dev2
dsk-dev-process-c2 ansible_host=10.10.43.128 ansible_port=2222 ansible_user=dev2
dsk-dev-process-a3 ansible_host=10.10.43.129 ansible_port=2222 ansible_user=dev2
dsk-dev-process-b3 ansible_host=10.10.43.130 ansible_port=2222 ansible_user=dev2
dsk-dev-process-c3 ansible_host=10.10.43.131 ansible_port=2222 ansible_user=dev2
dsk-dev-temp-a1 ansible_host=10.10.43.132 ansible_port=2222 ansible_user=dev2
dsk-dev-data-common-a1 ansible_host=10.10.43.133 ansible_port=2222 ansible_user=dev2
dsk-dev-data-common-b1 ansible_host=10.10.43.134 ansible_port=2222 ansible_user=dev2
dsk-dev-data-common-c1 ansible_host=10.10.43.135 ansible_port=2222 ansible_user=dev2
#dsk-dev-data-druid-a2 ansible_host=10.10.43.136 ansible_port=2222 ansible_user=dev2
#dsk-dev-data-druid-b2 ansible_host=10.10.43.137 ansible_port=2222 ansible_user=dev2
dsk-dev-data-druid-c2 ansible_host=10.10.43.138 ansible_port=2222 ansible_user=dev2
dsk-dev-data-druid-a3 ansible_host=10.10.43.139 ansible_port=2222 ansible_user=dev2
dsk-dev-temp-b1 ansible_host=10.10.43.140 ansible_port=2222 ansible_user=dev2
dsk-dev-temp-c1 ansible_host=10.10.43.141 ansible_port=2222 ansible_user=dev2
dsk-dev-prometheus ansible_host=10.10.43.142 ansible_port=2222 ansible_user=dev2
#dsk-dev-es-master-a1 ansible_host=10.10.43.143 ip=10.10.43.143 ansible_port=2222 ansible_user=dev2
#dsk-dev-es-master-b1 ansible_host=10.10.43.144 ip=10.10.43.144 ansible_port=2222 ansible_user=dev2
#dsk-dev-es-master-c1 ansible_host=10.10.43.145 ip=10.10.43.145 ansible_port=2222 ansible_user=dev2
#dsk-dev-es-data-a1 ansible_host=10.10.43.146 ip=10.10.43.146 ansible_port=2222 ansible_user=dev2
#dsk-dev-es-data-b1 ansible_host=10.10.43.147 ip=10.10.43.147 ansible_port=2222 ansible_user=dev2
#dsk-dev-es-data-b2 ansible_host=10.10.43.148 ip=10.10.43.148 ansible_port=2222 ansible_user=dev2
#opensearch-master ansible_host=10.10.43.148 ip=10.10.43.148 ansible_port=2222 ansible_user=dev2
#opensearch-worker-0 ansible_host=10.10.43.149 ip=10.10.43.149 ansible_port=2222 ansible_user=dev2
#opensearch-worker-1 ansible_host=10.10.43.150 ip=10.10.43.150 ansible_port=2222 ansible_user=dev2
kafka-multi-0 ansible_host=10.10.43.151 ip=10.10.43.151 ansible_port=2222 ansible_user=dev2
kafka-multi-1 ansible_host=10.10.43.152 ip=10.10.43.152 ansible_port=2222 ansible_user=dev2
kafka-multi-2 ansible_host=10.10.43.153 ip=10.10.43.153 ansible_port=2222 ansible_user=dev2
opensearch-master-0 ansible_host=10.10.43.143 ip=10.10.43.143 ansible_port=2222 ansible_user=dev2
opensearch-data-0 ansible_host=10.10.43.144 ip=10.10.43.144 ansible_port=2222 ansible_user=dev2
opensearch-data-1 ansible_host=10.10.43.145 ip=10.10.43.145 ansible_port=2222 ansible_user=dev2
opensearch-search-0 ansible_host=10.10.43.146 ip=10.10.43.146 ansible_port=2222 ansible_user=dev2
dsk-dev-data-kafka-n1 ansible_host=10.10.43.148 ip=10.10.43.148 ansible_port=2222 ansible_user=dev2
dsk-dev-process-a4 ansible_host=10.10.43.116 ip=10.10.43.116 ansible_port=2222 ansible_user=dev2
dsk-dev-process-b4 ansible_host=10.10.43.136 ip=10.10.43.136 ansible_port=2222 ansible_user=dev2
dsk-dev-process-c4 ansible_host=10.10.43.137 ip=10.10.43.137 ansible_port=2222 ansible_user=dev2
dsk-dev-data-druid-small-2 ansible_host=10.10.43.147 ip=10.10.43.147 ansible_port=2222 ansible_user=dev2

[kube_control_plane]
dsk-dev-master-a1 ansble_user=dev2
dsk-dev-master-b1 ansble_user=dev2
dsk-dev-master-c1 ansble_user=dev2

[etcd]
dsk-dev-master-a1
dsk-dev-master-b1
dsk-dev-master-c1

[kube_node]
dsk-dev-data-druid-a1
dsk-dev-data-druid-b1
#dsk-dev-data-druid-c1
#dsk-dev-data-druid-a2
#dsk-dev-data-druid-b2
dsk-dev-data-druid-c2
dsk-dev-data-druid-a3
#dsk-dev-data-es-a1
#dsk-dev-data-es-b1
#dsk-dev-data-es-c1
dsk-dev-data-kafka-a1
dsk-dev-data-kafka-b1
dsk-dev-data-kafka-c1
dsk-dev-data-common-a1
dsk-dev-data-common-b1
dsk-dev-data-common-c1
dsk-dev-process-a1
dsk-dev-process-b1
dsk-dev-process-c1
dsk-dev-process-a2
dsk-dev-process-b2
dsk-dev-process-c2
dsk-dev-process-a3
dsk-dev-process-b3
dsk-dev-process-c3
dsk-dev-temp-a1
dsk-dev-temp-b1
dsk-dev-temp-c1
dsk-dev-prometheus
#dsk-dev-es-master-a1
#dsk-dev-es-master-b1
#dsk-dev-es-master-c1
#dsk-dev-es-data-a1
#dsk-dev-es-data-b1
#dsk-dev-es-data-b2
#opensearch-master
#opensearch-worker-0
#opensearch-worker-1
kafka-multi-0
kafka-multi-1
kafka-multi-2
dsk-dev-data-druid-n1
dsk-dev-data-druid-n2
dsk-dev-data-druid-n3
opensearch-master-0
opensearch-data-0
opensearch-data-1
opensearch-search-0
dsk-dev-data-kafka-n1
dsk-dev-process-a4
dsk-dev-process-b4
dsk-dev-process-c4
dsk-dev-data-druid-small-2

[calico_rr]

[k8s_cluster:children]
kube_control_plane
kube_node
calico_rr

